Skip to main content
`Ctrl`+`K`

# PetscSortReverseInt

Sorts an array of `PetscInt` in place in decreasing order.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortReverseInt(PetscCount n, PetscInt X[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscInt`

## See Also

`PetscIntSortSemiOrdered()`, `PetscSortInt()`, `PetscSortIntWithPermutation()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages